import QuickActionButton, {QuickActionButtonType} from "./QuickActionButton.tsx";
import "../stylesheets/QuickActions.css"

type QuickActionsProps = {
    quickActions?: QuickActionButtonType[];
    plantId: number;
    onSuccess?: () => void;
}

function QuickActions({quickActions, plantId, onSuccess}: QuickActionsProps) {
    if (quickActions) {
        return <div className="quickActions">{quickActions.map(
            (action, index) =>
                <QuickActionButton plantId={plantId}
                                   type={action}
                                   key={index}
                                   onSuccess={onSuccess}
                />
        )} </div>
    }
}

export default QuickActions;
